Subject: bug#37586: Import cycles in unrelated packages should not be an error

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Wed, 2 Oct 2019 19:15:47 +0200

I am annoyed by another import cycle similar to
<https://issues.guix.info/issue/37346> in an unfinished package I’m
writing.  They needlessly complicate packaging and make packagers
split modules that logically should not be split.

Is it possible to make import cycles not an error in Guix packages?

These errors do not surface during module compilation but only when
running guix show or guix build or similar.  I suppose that means
changing the way they are evaluated could make packages not care about
dependencies in unrelated packages that just happen to be in the same
module, could it?

Regards,
Florian